AOWP_Logger (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.AOWP_Logger
/Logger.class.php at line 16

# Class AOWP_Logger

    AOWP_Logger

public class AOWP_Logger

短い説明

長い説明

Field Summary
final int | DEBUG_MODE
static mixed | $LOGGING_FLAG
final int | PERFORMANCE_TEST_INDEX
final int | PERFORMANCE_TEST_MODE
final int | $RUNTIME_MODE
private static mixed | $START_TIME

Method Summary
static void | getExecutionTime(mixed timeIndex, mixed durationFlag)
static void | logToFile(mixed message)
static void | logging(mixed message, mixed timeIndex)
static void | performanceTestResult(mixed durationFlag)
static void | setStartTime(mixed timeIndex)
static void | startPerformanceTest()

## Field Detail

/Logger.class.php at line 17

### DEBUG_MODE

`public final int DEBUG_MODE = 1`

/Logger.class.php at line 24

### LOGGING_FLAG

`public static mixed $LOGGING_FLAG = AOWP_Logger::RUNTIME_MODE`

/Logger.class.php at line 21

### PERFORMANCE_TEST_INDEX

`public final int PERFORMANCE_TEST_INDEX = 1245`

/Logger.class.php at line 18

### PERFORMANCE_TEST_MODE

`public final int PERFORMANCE_TEST_MODE = 2`

/Logger.class.php at line 19

### RUNTIME_MODE

`public final int $RUNTIME_MODE`

/Logger.class.php at line 23

### START_TIME

`private static mixed $START_TIME = array()`

## Method Detail

/Logger.class.php at line 29

### getExecutionTime

`public static void getExecutionTime(mixed timeIndex, mixed durationFlag)`

/Logger.class.php at line 53

### logToFile

`public static void logToFile(mixed message)`

/Logger.class.php at line 37

### logging

`public static void logging(mixed message, mixed timeIndex)`

/Logger.class.php at line 49

### performanceTestResult

`public static void performanceTestResult(mixed durationFlag)`

/Logger.class.php at line 26

### setStartTime

`public static void setStartTime(mixed timeIndex)`

/Logger.class.php at line 46

### startPerformanceTest

`public static void startPerformanceTest()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr